[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

tkpaint package (Re: Packages to give away)

On Thu, 1 Jul 1999, Martin Schulze wrote:

> Here is the current list of packages that I want to give
> away:
>  . tkpaint
> [1] I will request to remove this package before potato is frozen
>     if nobody wants to maintain it.

I would suggest to remove tkpaint in its current form immediately.
Or at least move it to contrib. I cannot name other so improperly packaged
program in debian.

1. tkpaint should depend on tk8.0 rather then wish, becouse tkpaint
wouldn't work with pre-8.0 tk. 

2. tkpaint should at least suggest, or even reccomend postscript-viewer,
   becouse otherwise it woulnd't be able to print pictures.

3. Really, there is no appropriate version of tk to run tkpaint in debian,
    becouse tk wuthout dash-patch is not able to save images into
    postscript. Also, font handling in tk 8.0 doesn't work with non-Latin1
    fonts. So, for people which use some other encoding, tk 8.1 is needed.

4. Current version of tkpaint is packaged from original windows version
  rather then from Unix port which features standard autoconf
 script and makes use of tcl autoloading  mechanism. 
 See http://www.ice.ru/~vitus/misc/tkpaint.html

Being  maintainer of Unix port, I might take this package, but I have to
register as Debian developer

Victor Wagner			vitus@ice.ru
Programmer			Office:7-(095)-132-0878
Institute for Commerce 		Home: 7-(095)-135-46-61
Engineering                     http://www.ice.ru/~vitus

Reply to: